### Hierarchy

- Uaas
  - UaasService

## Index

### Constructors

- constructor

### Properties

- api
- authenticated
- config
- dev
- errorMessage
- id

### Accessors

- applications

### Methods

- init
- login
- logout
- onLoginFailure
- onLoginSucces

## Constructors

### constructor

- new Uaas(): Uaas

- - Defined in uaas/uaas.ts:11

  #### Returns Uaas

## Properties

### api

api: Api

- Defined in uaas/uaas.ts:8

### authenticated

authenticated: boolean = false

- Defined in uaas/uaas.ts:9

### config

config: any

- Defined in uaas/uaas.ts:7

### dev

dev: boolean = false

- Defined in uaas/uaas.ts:10

### errorMessage

errorMessage: string = ""

- Defined in uaas/uaas.ts:11

### id

id: string

- Defined in uaas/uaas.ts:6

## Accessors

### applications

- get applications(): object

- - Defined in uaas/uaas.ts:82

  #### Returns object

  - ##### essent-be: object

    - ##### api_headers: object[]

    - ##### api_routes: (object | object | object)[]

    - ##### api_routes_dev: object[]

    - ##### corsMode: string

    - ##### requestCredentials: string

    - ##### swaggerUrl: string

    - ##### suitecrm: object

      - ##### API_URL: string

      - ##### DEV_URL: string

      - ##### IDP_URL: string

      - ##### PROD_URL: string

  - ##### essent-nl: object

    - ##### api_headers: object[]

    - ##### api_routes: (object | object | object)[]

    - ##### api_routes_dev: object[]

    - ##### corsMode: string

    - ##### requestCredentials: string

    - ##### swaggerUrl: string

    - ##### suitecrm: object

      - ##### API_URL: string

      - ##### DEV_URL: string

      - ##### PROD_URL: string

## Methods

### init

- init(id: string): Promise<void>

- - Defined in uaas/uaas.ts:17

  #### Parameters

  - ##### id: string

  #### Returns Promise<void>

### login

- login(event: any): Promise<void>

- - Defined in uaas/uaas.ts:45

  #### Parameters

  - ##### event: any

  #### Returns Promise<void>

### logout

- logout(): Promise<void>

- - Defined in uaas/uaas.ts:57

  #### Returns Promise<void>

### onLoginFailure

- onLoginFailure(result: any): void

- - Defined in uaas/uaas.ts:68

  #### Parameters

  - ##### result: any

  #### Returns void

### onLoginSucces

- onLoginSucces(result: any): void

- - Defined in uaas/uaas.ts:63

  #### Parameters

  - ##### result: any

  #### Returns void